
_set_duty:

;Etching.mbas,19 :: 		dim counter as byte
;Etching.mbas,21 :: 		DC1B1_bit   = 0   ' duty LSB
	BCF        DC1B1_bit+0, BitPos(DC1B1_bit+0)
;Etching.mbas,22 :: 		DC1B0_bit   = 0   ' duty LSB
	BCF        DC1B0_bit+0, BitPos(DC1B0_bit+0)
;Etching.mbas,23 :: 		CCPR1L      = duty
	MOVF       FARG_set_duty_duty+0, 0
	MOVWF      CCPR1L+0
;Etching.mbas,24 :: 		end sub
L_end_set_duty:
	RETURN
; end of _set_duty

_ad_get:

;Etching.mbas,29 :: 		sub function ad_get() as byte
;Etching.mbas,30 :: 		GO_bit = 1
	BSF        GO_bit+0, BitPos(GO_bit+0)
;Etching.mbas,31 :: 		while( GO_bit = 1)
L__ad_get3:
	BTFSC      GO_bit+0, BitPos(GO_bit+0)
	GOTO       L__ad_get3
;Etching.mbas,33 :: 		result = ADRESH
	MOVF       ADRESH+0, 0
	MOVWF      R1+0
;Etching.mbas,34 :: 		end sub
	MOVF       R1+0, 0
	MOVWF      R0
L_end_ad_get:
	RETURN
; end of _ad_get

_main:

;Etching.mbas,39 :: 		main:
;Etching.mbas,41 :: 		ANSELA = 0
	CLRF       ANSELA+0
;Etching.mbas,43 :: 		WPUA = 0
	CLRF       WPUA+0
;Etching.mbas,45 :: 		IRCF3_bit = 1   ' 4MHz
	BSF        IRCF3_bit+0, BitPos(IRCF3_bit+0)
;Etching.mbas,46 :: 		IRCF2_bit = 1
	BSF        IRCF2_bit+0, BitPos(IRCF2_bit+0)
;Etching.mbas,47 :: 		IRCF1_bit = 0
	BCF        IRCF1_bit+0, BitPos(IRCF1_bit+0)
;Etching.mbas,48 :: 		IRCF0_bit = 1
	BSF        IRCF0_bit+0, BitPos(IRCF0_bit+0)
;Etching.mbas,50 :: 		MOTOR_TRIS =  PORT_OUTPUT
	BCF        TRISA2_bit+0, BitPos(TRISA2_bit+0)
;Etching.mbas,53 :: 		CHS4_bit = 0  ' RA4(AN3)
	BCF        CHS4_bit+0, BitPos(CHS4_bit+0)
;Etching.mbas,54 :: 		CHS3_bit = 0
	BCF        CHS3_bit+0, BitPos(CHS3_bit+0)
;Etching.mbas,55 :: 		CHS2_bit = 0
	BCF        CHS2_bit+0, BitPos(CHS2_bit+0)
;Etching.mbas,56 :: 		CHS1_bit = 1
	BSF        CHS1_bit+0, BitPos(CHS1_bit+0)
;Etching.mbas,57 :: 		CHS0_bit = 1
	BSF        CHS0_bit+0, BitPos(CHS0_bit+0)
;Etching.mbas,58 :: 		ADON_bit = 1
	BSF        ADON_bit+0, BitPos(ADON_bit+0)
;Etching.mbas,59 :: 		ADFM_bit = 0
	BCF        ADFM_bit+0, BitPos(ADFM_bit+0)
;Etching.mbas,60 :: 		ADCS2_bit   = 0   ' FRC
	BCF        ADCS2_bit+0, BitPos(ADCS2_bit+0)
;Etching.mbas,61 :: 		ADCS1_bit   = 1   ' FRC
	BSF        ADCS1_bit+0, BitPos(ADCS1_bit+0)
;Etching.mbas,62 :: 		ADCS0_bit   = 1   ' FRC
	BSF        ADCS0_bit+0, BitPos(ADCS0_bit+0)
;Etching.mbas,63 :: 		ADPREF1_bit = 0
	BCF        ADPREF1_bit+0, BitPos(ADPREF1_bit+0)
;Etching.mbas,64 :: 		ADPREF0_bit = 0
	BCF        ADPREF0_bit+0, BitPos(ADPREF0_bit+0)
;Etching.mbas,67 :: 		P1M1_bit    = 0 ' single output
	BCF        P1M1_bit+0, BitPos(P1M1_bit+0)
;Etching.mbas,68 :: 		P1M0_bit    = 0 ' single output
	BCF        P1M0_bit+0, BitPos(P1M0_bit+0)
;Etching.mbas,69 :: 		CCP1M3_bit  = 1  ' PWM mode
	BSF        CCP1M3_bit+0, BitPos(CCP1M3_bit+0)
;Etching.mbas,70 :: 		CCP1M2_bit  = 1
	BSF        CCP1M2_bit+0, BitPos(CCP1M2_bit+0)
;Etching.mbas,71 :: 		CCP1M1_bit  = 0
	BCF        CCP1M1_bit+0, BitPos(CCP1M1_bit+0)
;Etching.mbas,72 :: 		CCP1M0_bit  = 0
	BCF        CCP1M0_bit+0, BitPos(CCP1M0_bit+0)
;Etching.mbas,74 :: 		TMR2ON_bit  = 1
	BSF        TMR2ON_bit+0, BitPos(TMR2ON_bit+0)
;Etching.mbas,75 :: 		TMR2IE_bit  = 1
	BSF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
;Etching.mbas,76 :: 		T2CKPS1_bit = 0   ' prescaler 1:4
	BCF        T2CKPS1_bit+0, BitPos(T2CKPS1_bit+0)
;Etching.mbas,77 :: 		T2CKPS0_bit = 1
	BSF        T2CKPS0_bit+0, BitPos(T2CKPS0_bit+0)
;Etching.mbas,78 :: 		T2OUTPS0_bit = 0
	BCF        T2OUTPS0_bit+0, BitPos(T2OUTPS0_bit+0)
;Etching.mbas,79 :: 		T2OUTPS1_bit = 0
	BCF        T2OUTPS1_bit+0, BitPos(T2OUTPS1_bit+0)
;Etching.mbas,80 :: 		T2OUTPS2_bit = 0
	BCF        T2OUTPS2_bit+0, BitPos(T2OUTPS2_bit+0)
;Etching.mbas,81 :: 		T2OUTPS3_bit = 0
	BCF        T2OUTPS3_bit+0, BitPos(T2OUTPS3_bit+0)
;Etching.mbas,83 :: 		PR2 = 0xFF    ' 255 = 4us x 256 = 1.024msec period = 976Hz
	MOVLW      255
	MOVWF      PR2+0
;Etching.mbas,85 :: 		while(true)
L__main9:
;Etching.mbas,86 :: 		set_duty(ad_get()/5)
	CALL       _ad_get+0
	MOVLW      5
	MOVWF      R4
	CALL       _Div_8x8_U+0
	MOVF       R0, 0
	MOVWF      FARG_set_duty_duty+0
	CALL       _set_duty+0
;Etching.mbas,87 :: 		delay_ms(5)
	MOVLW      7
	MOVWF      R12
	MOVLW      125
	MOVWF      R13
L__main13:
	DECFSZ     R13, 1
	GOTO       L__main13
	DECFSZ     R12, 1
	GOTO       L__main13
;Etching.mbas,88 :: 		wend
	GOTO       L__main9
L_end_main:
	GOTO       $+0
; end of _main
